KD SOAP API Documentation: KDSoapValueList Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
KDSoapValueList Class Reference

`#include <KDSoapValue.h>`

Inheritance diagram for KDSoapValueList:
[legend]
Collaboration diagram for KDSoapValueList:
[legend]

## Public Member Functions
void | addArgument (const QString &argumentName, const QVariant &argumentValue, const QString &typeNameSpace=QString(), const QString &typeName=QString())
QString | arrayType () const
QString | arrayTypeNs () const
QList< KDSoapValue > & | attributes ()
const QList< KDSoapValue > & | attributes () const
KDSoapValue | child (const QString &name) const
void | setArrayType (const QString &nameSpace, const QString &type)
Public Member Functions inherited from QList< KDSoapValue >
| QList ()
| QList (const QList< T > &other)
| QList (InputIterator first, InputIterator last)
| QList (QList< T > &&other)
| QList (std::initializer_list< T > args)
| ~QList ()
void | append (const QList< T > &value)
void | append (const T &value)
const T & | at (int i) const const
T & | back ()
const T & | back () const const
QList::iterator | begin ()
QList::const_iterator | begin () const const
QList::const_iterator | cbegin () const const
QList::const_iterator | cend () const const
void | clear ()
QList::const_iterator | constBegin () const const
QList::const_iterator | constEnd () const const
const T & | constFirst () const const
const T & | constLast () const const
bool | contains (const T &value) const const
int | count () const const
int | count (const T &value) const const
QList::const_reverse_iterator | crbegin () const const
QList::const_reverse_iterator | crend () const const
bool | empty () const const
QList::iterator | end ()
QList::const_iterator | end () const const
bool | endsWith (const T &value) const const
QList::iterator | erase (QList::iterator begin, QList::iterator end)
QList::iterator | erase (QList::iterator pos)
T & | first ()
const T & | first () const const
T & | front ()
const T & | front () const const
int | indexOf (const T &value, int from) const const
void | insert (int i, const T &value)
QList::iterator | insert (QList::iterator before, const T &value)
bool | isEmpty () const const
T & | last ()
const T & | last () const const
int | lastIndexOf (const T &value, int from) const const
int | length () const const
QList< T > | mid (int pos, int length) const const
void | move (int from, int to)
bool | operator!= (const QList< T > &other) const const
QList< T > | operator+ (const QList< T > &other) const const
QList< T > & | operator+= (const QList< T > &other)
QList< T > & | operator+= (const T &value)
bool | operator< (const QList< T > &lhs, const QList< T > &rhs)
QList< T > & | operator<< (const QList< T > &other)
QList< T > & | operator<< (const T &value)
QDataStream & | operator<< (QDataStream &out, const QList< T > &list)
bool | operator<= (const QList< T > &lhs, const QList< T > &rhs)
QList< T > & | operator= (const QList< T > &other)
QList< T > & | operator= (QList< T > &&other)
bool | operator== (const QList< T > &other) const const
bool | operator> (const QList< T > &lhs, const QList< T > &rhs)
bool | operator>= (const QList< T > &lhs, const QList< T > &rhs)
QDataStream & | operator>> (QDataStream &in, QList< T > &list)
T & | operator[] (int i)
const T & | operator[] (int i) const const
void | pop_back ()
void | pop_front ()
void | prepend (const T &value)
void | push_back (const T &value)
void | push_front (const T &value)
uint | qHash (const QList< T > &key, uint seed)
QList::reverse_iterator | rbegin ()
QList::const_reverse_iterator | rbegin () const const
int | removeAll (const T &value)
void | removeAt (int i)
void | removeFirst ()
void | removeLast ()
bool | removeOne (const T &value)
QList::reverse_iterator | rend ()
QList::const_reverse_iterator | rend () const const
void | replace (int i, const T &value)
void | reserve (int alloc)
int | size () const const
bool | startsWith (const T &value) const const
void | swap (int i, int j)
void | swap (QList< T > &other)
void | swapItemsAt (int i, int j)
T | takeAt (int i)
T | takeFirst ()
T | takeLast ()
QSet< T > | toSet () const const
std::list< T > | toStdList () const const
QVector< T > | toVector () const const
T | value (int i) const const
T | value (int i, const T &defaultValue) const const

## Additional Inherited Members
Static Public Member Functions inherited from QList< KDSoapValue >
QList< T > | fromSet (const QSet< T > &set)
QList< T > | fromStdList (const std::list< T > &list)
QList< T > | fromVector (const QVector< T > &vector)
Public Attributes inherited from QList< KDSoapValue >
typedef | const_pointer
typedef | const_reference
typedef | const_reverse_iterator
typedef | ConstIterator
typedef | difference_type
typedef | Iterator
typedef | pointer
typedef | reference
typedef | reverse_iterator
typedef | size_type
typedef | value_type

## Detailed Description

KDSoapValueList represents a list of arguments passed to a SOAP message.

In other words, it corresponds to a list of XML elements in a SOAP message. It also supports XML attributes.

Definition at line 320 of file KDSoapValue.h.

## Member Function Documentation

## ◆ addArgument()

void KDSoapValueList::addArgument | ( | const QString & | argumentName,
|  | const QVariant & | argumentValue,
|  | const QString & | typeNameSpace = `QString()`,
|  | const QString & | typeName = `QString()`
| ) |  |

Convenience method for adding an argument to the list.

Parameters

  argumentName | the argument name (which corresponds to the element or attribute name in the XML)
  argumentValue | the value of the argument
  typeNameSpace | namespace of the type of this value; this is only useful if using KDSoapMessage::EncodedUse
  typeName | localname of the type of this value; this is only useful if using KDSoapMessage::EncodedUse

Note that this doesn't allow to call KDSoapValue::setQualified() or KDSoapValue::setNamespaceUri() on the value.

Equivalent to

append(KDSoapValue(argumentName, argumentValue [, typeNameSpace, typeName] ));
KDSoapValue
Definition KDSoapValue.h:60
QList< KDSoapValue >::append
void append(const T &value)

Definition at line 452 of file KDSoapValue.cpp.

References QList< KDSoapValue >::append().

Referenced by KDSoapMessage::createFaultMessage().

## ◆ arrayType()

QString KDSoapValueList::arrayType | ( |  | ) | const

Return the localname of the type of elements in the array.

Definition at line 447 of file KDSoapValue.cpp.

## ◆ arrayTypeNs()

QString KDSoapValueList::arrayTypeNs | ( |  | ) | const

Return the namespace of the type of elements in the array.

Definition at line 442 of file KDSoapValue.cpp.

## ◆ attributes() [1/2]

QList< KDSoapValue > & KDSoapValueList::attributes | ( |  | ) |
| inline

Returns the list of attributes. Just like the QList which is KDSoapValueList contains the child elements for a parent XML element; the attributes QList is the attributes for that same parent XML element. Note that this is rarely used in SOAP messages though.

The returned list can be modified, e.g. to append new attributes.

Definition at line 375 of file KDSoapValue.h.

Referenced by operator<<(), and parseElement().

## ◆ attributes() [2/2]

const QList< KDSoapValue > & KDSoapValueList::attributes | ( |  | ) | const
| inline

Read-only getter for the attributes.

Definition at line 382 of file KDSoapValue.h.

## ◆ child()

KDSoapValue KDSoapValueList::child | ( | const QString & | name | ) | const

Convenience method for extracting a child argument by `name`. If multiple arguments have the same name, the first match is returned. This method mostly makes sense for the case where only one argument uses `name`.

If no such argument can be found, returns a null KDSoapValue.

Definition at line 427 of file KDSoapValue.cpp.

Referenced by KDSoapMessage::faultAsString().

## ◆ setArrayType()

void KDSoapValueList::setArrayType | ( | const QString & | nameSpace,
|  | const QString & | type
| ) |  |

Sets the type of the elements in this array.

This is sent as the `soap-enc`:arrayType attribute in the XML.

Parameters

  nameSpace | namespace of the type of this value
  type | localname of the type of this value

Definition at line 437 of file KDSoapValue.cpp.

The documentation for this class was generated from the following files:

- KDSoapValue.h
- KDSoapValue.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8